## Audio visualizer
{ pkgs, ... }:

let
  theme = import ../../theme.nix;
in
{
  catppuccin.cava = {
    enable = true;
    flavor = theme.flavor;
  };

  programs.cava = {
    enable = true;
    package = pkgs.cava;
  };

  xdg.desktopEntries.cava = {
    name = "Cava";
    genericName = "Audio visualizer";
    terminal = true;
    exec = "${pkgs.cava}/bin/cava";
    icon = ./cava.png;
    categories = [
      "Audio"
      "AudioVideo"
    ];
  };
}
